package com.engine.recruit.entity.card.process;

import org.apache.commons.lang3.StringUtils;

/**
 * @author:dxfeng
 * @createTime: 2024/08/07
 * @version: 1.0
 */
public class WrittenProcess {
    private String bsmc;
    private String bscj;
    private String bsjg;

    public static final String ICON_NAME = "written.png";
    public static final String TITLE = "最近笔试";

    public String getBsmc() {
        return bsmc;
    }

    public void setBsmc(String bsmc) {
        this.bsmc = bsmc;
    }

    public String getBscj() {
        return bscj;
    }

    public void setBscj(String bscj) {
        this.bscj = bscj;
    }

    public String getBsjg() {
        if ("0".equals(bsjg)) {
            return "通过";
        } else if ("1".equals(bsjg)) {
            return "不通过";
        }
        return "待定";
    }

    public void setBsjg(String bsjg) {
        this.bsjg = bsjg;
    }

    @Override
    public String toString() {
        if (StringUtils.isBlank(bscj) || StringUtils.isBlank(bsjg)) {
            return getBsmc() + "  暂无得分结果";
        }
        return getBsmc() + "    " + getBscj() + "分    " + getBsjg();
    }
}
